---
version: "3.8"

services:
  app:
    image: thecoopcloud/coopcloud.tech:latest
    networks:
      - proxy
    healthcheck:
      test: ["CMD", "curl", "-f", "http://localhost:8000"]
      interval: 10s
      timeout: 10s
      retries: 10
      start_period: 15s
    deploy:
      update_config:
        failure_action: rollback
        order: start-first
      labels:
        - "traefik.enable=true"
        - "traefik.http.routers.coop-cloud-site.rule=Host(`coopcloud.tech`, `www.coopcloud.tech`, `cloud.autonomic.zone`, `www.cloud.autonomic.zone`)"
        - "traefik.http.routers.coop-cloud-site.entrypoints=web-secure"
        - "traefik.http.services.coop-cloud-site.loadbalancer.server.port=8000"
        - "traefik.http.routers.coop-cloud-site.tls.certresolver=production"
        - "traefik.http.routers.coop-cloud-site.middlewares=coop-cloud-site-redirect"
        - "traefik.http.middlewares.coop-cloud-site-redirect.headers.SSLForceHost=true"
        - "traefik.http.middlewares.coop-cloud-site-redirect.headers.SSLHost=coopcloud.tech"

networks:
  proxy:
    external: true
